/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GET_ACCEPTABLE_KEYSETS_HH_15EF699E19CB63ACB3538049799274A0//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define GET_ACCEPTABLE_KEYSETS_HH_15EF699E19CB63ACB3538049799274A0

#include "src/acceptable_keyset.hh"
#include "src/supervisor_connection_string.hh"

namespace Fred {
namespace Akm {
namespace GrpcClient {

AcceptableKeysets get_acceptable_keysets(const SupervisorConnectionString&);

} // namespace Fred::Akm::GrpcClient
} // namespace Fred::Akm
} // namespace Fred

#endif//GET_ACCEPTABLE_KEYSETS_HH_15EF699E19CB63ACB3538049799274A0
