/*
 * Copyright (C) 2021-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef IS_KEYSET_OK_FOR_UPDATE_HH_30FA4648B084C6640E87B7D937A79A3C//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define IS_KEYSET_OK_FOR_UPDATE_HH_30FA4648B084C6640E87B7D937A79A3C

#include "src/keyset.hh"

#include <libfred/opcontext.hh>

namespace Fred {
namespace Akm {
namespace Database {
namespace Impl {

bool is_keyset_ok_for_update(const LibFred::OperationContext&, const Keyset&);

} // namespace Fred::Akm::Database::Impl
} // namespace Fred::Akm::Database
} // namespace Fred::Akm
} // namespace Fred

#endif//IS_KEYSET_OK_FOR_UPDATE_HH_30FA4648B084C6640E87B7D937A79A3C
