/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef __LOG_ENTRY_TYPE__F0C8272507149120E16D753312EE9C8F
#define __LOG_ENTRY_TYPE__F0C8272507149120E16D753312EE9C8F

#include <libgrill/logger/log_entry_strong_types.hh>

namespace Fred {
namespace Akm {
namespace Logger {

enum class LogEntryType
{
    akm_turn_on,
    akm_turn_off,
    akm_rollover
};

template <LogEntryType>
LibGrill::Logger::LogEntryType to_libgrill_log_entry_type();

} // namespace Fred::Akm::Logger
} // namespace Fred::Akm
} // namespace Fred

#endif
